<template>

  <div class="btn-pretty">
    <v-btn variant="plain" size="small" style="padding: 0 !important;">
      <router-link
        :to="props.to"
        class="text-xs text-secondary"
      >
        <p class="text-xs font-semibold" v-if="slots.title">
          <slot name="title"></slot>
        </p>
        <p class="text-xs font-semibold" v-else>
          {{ props.to.name ?? translate('labels.link') }}
        </p>
      </router-link>
    </v-btn>
  </div>

</template>
<script setup lang="ts">
import { defineProps, useSlots } from 'vue';
import { useI18n } from 'vue-i18n';

import { RouterLink } from 'vue-router'

const { t: translate } = useI18n();

const slots = useSlots();
const props = defineProps({
  to: {
    type: Object,
    default: null,
  }
});

</script>